package xyz.tbvns.JavaFX;

import javafx.fxml.FXML;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.Pane;
import javafx.scene.web.WebView;
import javafx.stage.Stage;
import xyz.tbvns.Main;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.InputStreamReader;
import java.net.URISyntaxException;
import java.net.URL;

public class FXAbout {
    static int height = 350;
    static int width = 350;
    static String title = "About GD3D";
    public static void show() {
        try {
            Stage stage = new Stage();

            stage.setTitle(title);
            stage.setResizable(false);
            stage.setMaxHeight(height);
            stage.setMinHeight(height);
            stage.setMaxWidth(width);
            stage.setMinWidth(width);

            Pane pane = new Pane();
            Scene scene = new Scene(pane, width, height);
            scene.setRoot(pane);

            WebView webView = new WebView();

            webView.getEngine().load(Main.class.getResource("/About.html").toExternalForm());
            webView.setMaxWidth(stage.getMaxWidth());
            webView.setZoom(0.8);

            Button button = new Button("Close");
            button.setMinWidth(60);
            button.setMaxWidth(60);
            button.setLayoutY(pane.getHeight() - button.getHeight() - 30);
            button.setLayoutX(pane.getWidth() / 2 - button.getMaxWidth() / 2);

            button.setOnAction(actionEvent -> {
                stage.close();
            });

            pane.getChildren().add(webView);
            pane.getChildren().add(button);

            stage.setScene(scene);
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
            FXWarning.error("Error !", "Something went wrong:\n" + e.getMessage(), 500, 100);
        }
    }
}
